<?
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='login.php'; ";
	echo "</script>";
}
include ("clases/Usuario.class.php"); $obju = new Usuario();
include ("clases/Afiliado.class.php"); $obja = new Afiliado();
include ("clases/Aporte.class.php"); $objf = new Aporte();

$idafi = $_REQUEST['ida'];
if($obja->BuscarPorCodigo($idafi))
   {
     $dni = $obja->getdni()."/".$obja->getruc();;
     $nombres = $obja->getnombres();
	 $apellidos = $obja->getapepat()." ".$obja->getapemat();
	 $fechanac = $obja->getfechanac();
	 $lugarnac = $obja->getlugarnac();
	 $ocupacion = $obja->getocupacion();
	 $gradoins = $obja->getgradoins();
	 $estadocivil = $obja->getestadocivil();
	 $fecha_afilia = $obja->getfecha_afilia();
	 $sangre = $obja->getsangre();
	 $foto = $obja->getfoto();
   }
?>

<!DOCTYPE html>
<html lang="en">
<script>
function guardar(f)
{   if(f.mes.value==""){
		 f.mes.focus();
		 return false;
	}
	if(f.anio.value==""){
		 f.anio.focus();
		 return false;
	}

    if(f.aporte.value==""){
		 f.aporte.focus();
		 return false;
	}
	
	
		   f.action='controladores/AporteController.php';
		   f.submit();
		   return true;
		 
}
	</script>
<head>
    <meta charset="utf-8">
    <!-- This file has been downloaded from Bootsnipp.com. Enjoy! -->
    <title>Simple User Profile  - Bootsnipp.com</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
 <link rel="stylesheet" href="media/css/bootstrap.css">
	<link rel="stylesheet" href="media/css/bootstrap.min.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="media/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/fixedHeader.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/responsive.bootstrap.min.css">
	 <script src="media/js/jquery-1.10.2.js"></script>
	<script src="media/js/jquery.dataTables.min.js"></script>
	<script src="media/js/dataTables.bootstrap.min.js"></script>
	<script src="media/js/dataTables.fixedHeader.min.js"></script>
	<script src="media/js/dataTables.responsive.min.js"></script>
	<script src="media/js/responsive.bootstrap.min.js"></script>
	
	<script src="media/js/jquery.min.js"></script>
    <script src="media/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
  <div class="row"></div>
  
  
  
          <div class="col-md-12">
        <h4>Datos de Aportes (corresponden al 1% de la remuneración) 
		<button class="btn btn-success btn-sm" data-title="AGREGAR" data-toggle="modal" data-target="#nuevo" ><span class="glyphicon glyphicon-plus"></span>Agregar</button>
		<a href="contenido.php"  type="button" class="btn btn-sm btn-danger"><i class="glyphicon glyphicon-log-out"></i></a></h4>
		
		 <div class="form-group">
		   Aportante: <?=$nombres." ".$apellidos;?>
		 </div> 
        <div class="table-responsive">

                
              <table id="mytable" class="table table-bordred table-striped">
                   
                   <thead>
                     <th>ID</th>
                       <th>MES</th>
                       <th>AÑO</th>
                       <th>APORTE</th>
                      </thead>ACCION
    <tbody>
    <?
	  $lista = $objf->ListaPorIdafiliado($idafi);
	  for($i=0;$i<count($lista); $i++)
	  {
	?>
    <tr>
    <td><?=$lista[$i]["idaporte"];?></td>
    <td><?=$lista[$i]["mes"];?></td>
    <td><?=$lista[$i]["anio"];?></td>
    <td><?=$lista[$i]["aporte"];?></td>
		<td><a href="controladores/AporteController.php?ida=<?=$lista[$i]["idafiliado"];?>&idf=<?=$lista[$i]["idaporte"];?>&txtpara=E" class="btn btn-danger"><span class="glyphicon glyphicon-trash"></span></a></td>
    </tr>
   <? } ?> 
    </tbody>
</table>

<div class="clearfix"></div>

                
            </div>
            
        </div>
</div>
</div>


<form name="form2" id="formularioaenviar2" action="" method="post">
<div class="modal fade" id="nuevo" tabindex="-1" role="dialog" aria-labelledby="edit" aria-hidden="true">
      <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Registrar Aporte</h4>
      </div>
          <div class="modal-body">
          <div class="form-group">
        MES:<select name="mes" class="form-control">
				<option value="<? 
					$meses = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SETIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
					list($d,$m,$a)= explode("-",date("d-m-Y"));
					echo " ".$meses[date($m)-1] ;				
				?>"><? 
					$meses = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SETIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
					list($d,$m,$a)= explode("-",date("d-m-Y"));
					echo " ".$meses[date($m)-1] ;				
				?></option>
						    <option value="ENERO">ENERO</option>
							<option value="FEBRERO">FEBRERO</option>
							<option value="MARZO">MARZO</option>
							<option value="ABRIL">ABRIL</option>
							<option value="MAYO">MAYO</option>
							<option value="JUNIO">JUNIO</option>
							<option value="JULIO">JULIO</option>
							<option value="AGOSTO">AGOSTO</option>
							<option value="SETIEMBRE">SETIEMBRE</option>
							<option value="OCTUBRE">OCTUBRE</option>
							<option value="NOVIEMBRE">NOVIEMBRE</option>
							<option value="DICIEMBRE">DICIEMBRE</option>
                    </select>
        </div>
        <div class="form-group">
        Nombres y apellidos
        <input class="form-control " type="text" name="anio" placeholder="AÑO" value="<?=date('Y');?>">
        </div>
		<div class="form-group">
        Fecha Nac.
        <input class="form-control " type="text" name="aporte" placeholder="APORTE S/.">
        </div>
        
		<div class="form-group">
		 <input name="txtpara" type="hidden" value="R"><input name="idafiliado" type="hidden" value="<?=$idafi;?>">
		</div>
      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-warning btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span> Guardar</button>
      </div>
        </div>
    <!-- /.modal-content --> 
  </div>
      <!-- /.modal-dialog --> 
    </div>
  </form>      
    
    
    <div class="modal fade" id="delete" tabindex="-1" role="dialog" aria-labelledby="edit" aria-hidden="true">
    <script type="text/javascript">
$(document).ready(function() {
    var panels = $('.user-infos');
    var panelsButton = $('.dropdown-user');
    panels.hide();

    //Click dropdown
    panelsButton.click(function() {
        //get data-for attribute
        var dataFor = $(this).attr('data-for');
        var idFor = $(dataFor);

        //current button
        var currentButton = $(this);
        idFor.slideToggle(400, function() {
            //Completed slidetoggle
            if(idFor.is(':visible'))
            {
                currentButton.html('<i class="glyphicon glyphicon-chevron-up text-muted"></i>');
            }
            else
            {
                currentButton.html('<i class="glyphicon glyphicon-chevron-down text-muted"></i>');
            }
        })
    });


    $('[data-toggle="tooltip"]').tooltip();

    $('button').click(function(e) {
        e.preventDefault();
       // alert("This is a demo.\n :-)");
    });
});
</script>
</body>
</html>
